运行升级之前,请检查以下必备条件。

系统配置要求

开始升级之前,确认已完成以下必备条件。

  • 确认部署中所有设备和服务器均符合最新版本的系统要求。请参见 https://www.vmware.com/support/pubs/vcac-pubs.html 上的vRealize Automation 支持列表》

  • 有关与其他 VMware 产品兼容性的信息,请查阅 VMware 网站上的 VMware 产品互操作性列表

  • 确认要从中进行升级的 vRealize Automation 处于稳定工作状态下。如有问题,请在升级前进行更正。

硬件配置要求

开始升级之前,确认已完成以下必备条件。

  • 运行升级之前,您必须至少有 18 GB RAM、4 个 CPU、Disk1 = 50 GB、Disk3=25 GB 和 Disk4=50 GB。

    如果虚拟机位于 vCloud Networking and Security 上,您可能需要分配更多 RAM 空间。

    尽管 2016 年 9 月结束了对 VMware vCloud ® Networking and Security ™ 5.5.x (vCNS) 的一般支持,但 VCNS 自定义属性对于 VMware NSX ™ 仍然有效。有关详细信息,请参见 VMware 知识库文章《停止使用并结束对 VMware vCloud Networking and Security 5.5.x 的一般支持 (2144733)》,网址为 http://kb.vmware.com/kb/2144733

  • 主 IaaS Web 站点、Microsoft SQL 数据库和 Model Manager 节点必须装有 Microsoft .NET Framework 4.5.2 版本,并且至少具有 5 GB 的可用磁盘空间。

  • 主 IaaS 网站、Microsoft SQL 数据库和 Model Manager 节点必须安装有 JAVA SE Runtime Environment 8(64 位)更新 91 或更高版本。Java 安装完毕后,必须将各个服务器节点上的环境变量 JAVA_HOME 设置为新版本。

  • 每个 vRealize Automation 设备 的 root 分区上必须具有至少 5.3 GB 可用磁盘空间,才能下载和运行升级。

  • 检查 /storage/log 子文件夹,并移除所有旧的存档 ZIP 文件,以清理空间。

常规必备条件

开始升级之前,确认已完成以下必备条件。

  • 您有权访问在 vRealize Automation 升级过程中受影响或参与该升级过程的所有数据库和所有负载平衡器。

  • 执行升级时,用户无法使用系统。

  • 禁用任何查询 vRealize Automation 的应用程序。

  • 确认在所有 vRealize Automation 和关联的 SQL Server 上启用了 Microsoft 分布式事务处理协调器 (MSDTC)。有关说明,请参见 VMware 知识库文章《升级或迁移到 VMware vCloud Automation Center (vCAC) 6.1.x 后的各种任务失败 (2089503)》 (http://kb.vmware.com/kb/2089503)。

  • 如果要升级使用嵌入式 PostgreSQL 数据库配置的分布式环境,请先在主控主机上检查 pgdata 目录中的文件,然后升级副本主机。导航到主控主机上的 PostgreSQL 数据文件夹(位于 /var/vmware/vpostgres/current/pgdata/)。关闭 pgdata 目录中打开的任何文件,然后移除后缀为 .swp 的所有文件。

  • 如果已安装公共组件目录组件,必须在升级之前卸载该组件。有关如何卸载、安装和升级公共组件目录组件的信息,请参见《公共组件目录安装指南》